# Class MetalDesktopIconUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.DesktopIconUI
javax.swing.plaf.basic.BasicDesktopIconUI
javax.swing.plaf.metal.MetalDesktopIconUI

public class MetalDesktopIconUI extends BasicDesktopIconUI
Metal desktop icon.

## Nested Class Summary

### Nested classes/interfaces declared in class BasicDesktopIconUI

`BasicDesktopIconUI.MouseInputHandler`

## Field Summary

### Fields declared in class BasicDesktopIconUI

`desktopIcon, frame, iconPane`

## Constructor Summary

Constructors
Constructor
Description
`MetalDesktopIconUI()`
Constructs a new instance of `MetalDesktopIconUI`.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
Constructs a new instance of `MetalDesktopIconUI`.

### Methods declared in class BasicDesktopIconUI

`createMouseInputListener, deiconize, getInsets, getMaximumSize, installComponents, installDefaults, installListeners, uninstallComponents, uninstallDefaults, uninstallListeners`

### Methods declared in class ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetalDesktopIconUI

public MetalDesktopIconUI()
Constructs a new instance of `MetalDesktopIconUI`.

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)
Constructs a new instance of `MetalDesktopIconUI`.

Parameters:
  `c` - a component
Returns:
  a new instance of `MetalDesktopIconUI`